ONVIF::Device::Elements::GetSystemSupportInformationResponse(3)

NAME
ONVIF::Device::Elements::GetSystemSupportInformationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSystemSupportInformationResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SupportInformation

     $element->set_SupportInformation($data);
     $element->get_SupportInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetSystemSupportInformationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SupportInformation =>  { # ONVIF::Device::Types::SupportInformation
     Binary =>  { # ONVIF::Device::Types::AttachmentData
       Include =>  { # ONVIF::Device::Types::Include
       },
     },
     String =>  $some_value, # string
   },
 },

AUTHOR
Generated by SOAP::WSDL